Subject: Re: bug#20982: 25.0.50; GPG uses GUI dialog box to ask for passphrase

From: Daiki Ueno <[email-masked]>
Date: Mon, 27 Jul 2015 11:32:48 +0900

unarchive 20550
forcemerge 20550 20982
close 20550
stop

Daiki Ueno <[email-masked]> writes:

>> This doesn't seem to work out-of-the-box. What additional steps should
>> one undertake to get rid of the dialog box?
>
> First, make sure that your Pinentry is 0.9.5 or later.  Secondly, add
> allow-emacs-pinentry to your ~/.gnupg/gpg-agent.conf.  Finally, start
> the Emacs Pinentry server with M-x pinentry-start.

A while ago, I added a hack to make the setup mostly out-of-the-box:
http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=bd8b5ac7

As it seems to be working, I'm closing this as a duplicate of 20550.